# GroundGeometryUpdater

#### new Cesium.GroundGeometryUpdater(options)
DataSources/GroundGeometryUpdater.js 27

An abstract class for updating ground geometry entities.

Name | Type | Description
--- | --- | ---
`options` | Object | An object with the following properties:
Name | Type | Description
--- | --- | ---
`entity` | Entity | The entity containing the geometry to be visualized.
`scene` | Scene | The scene where visualization is taking place.
`geometryOptions` | Object | Options for the geometry
`geometryPropertyName` | String | The geometry property name
`observedPropertyNames` | Array.<String> | The entity properties this geometry cares about

### Members

#### readonly zIndex : Number
DataSources/GroundGeometryUpdater.js 46

Gets the zindex

### Methods

#### destroy()
DataSources/GroundGeometryUpdater.js 144

Destroys and resources used by the object. Once an object is destroyed, it should not be used.

##### Throws:

- DeveloperError : This object was destroyed, i.e., destroy() was called.